"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.upsertLike = exports.listLike = void 0;

require("core-js/modules/es.promise.js");

var _graphqlTag = _interopRequireDefault(require("graphql-tag"));

var _graphqlClient = require("./graphqlClient");

var _templateObject, _templateObject2;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

const listLike = async variables => {
  const query = (0, _graphqlTag.default)(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n        query($comment_id: ID!, $name: String, $args: JSON){\n    list_like(\n        comment_id: $comment_id\n        name: $name\n        args: $args\n    ) {\n        data{\n            id\n            content\n            created_at\n            people{id, name, avatar}\n            total_like\n        }\n        pageInfo\n    }\n}"])));
  return await _graphqlClient.graphqlClient.query({
    query,
    variables
  });
};

exports.listLike = listLike;

const upsertLike = async variables => {
  const mutationAPI = () => {
    const mutation = (0, _graphqlTag.default)(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n        mutation($id: ID, $app_id: ID!, $likeable_type: String!, $likeable_id: ID!, $is_like: Boolean, $is_dislike: Boolean, $people:JSON!) {\n  upsert_like(\n    input: {\n      id: $id,\n      app_id: $app_id,\n      likeable_type: $likeable_type,\n      likeable_id: $likeable_id,\n      is_like: $is_like,\n      is_dislike: $is_dislike,\n      people: $people\n    }\n  ) {\n    id\n  }\n}\n"])));
    return _graphqlClient.graphqlClient.mutate({
      mutation,
      variables
    });
  };

  try {
    return await mutationAPI().then(res => {
      return res;
    });
  } catch (e) {
    console.log('e', e);
  }
};

exports.upsertLike = upsertLike;